%global modulename postcss-sass

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-postcss-sass
Version:        0.3.5
Release:        1%{?dist}
Summary:        A Sass parser for PostCSS, using gonzales-pe.

License:        MIT
URL:            https://github.com/AleshaOleg/postcss-sass
Source0:        https://registry.npmjs.org/postcss-sass/-/postcss-sass-0.3.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(gonzales-pe) >= 4.2.3 with npmlib(gonzales-pe) < 5.0.0))
BuildRequires:  ((npmlib(postcss) >= 7.0.1 with npmlib(postcss) < 8.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
A Sass parser for PostCSS, using gonzales-pe.

%package 0.3.5
Summary:        A Sass parser for PostCSS, using gonzales-pe.


%description 0.3.5
A Sass parser for PostCSS, using gonzales-pe.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parse.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr stringifier.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr stringify.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn.lock %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.3.5
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 0.3.5-1
- Package automatically generated by npm2srpm
